---
updatedAt: 2026-03-05T17:15:39.000Z
agentTools:
  projectIndex: https://developers.bluesnap.com/v8976-JSON/llms.txt
---

# Retrieve Specific Charge

The Retrieve Specific Charge request enables you to retrieve details about one existing charge.

## Definition

```json Endpoint
https://sandbox.bluesnap.com/services/2/recurring/subscriptions/charges/resolve?transactionid={transactionid}
```

### Request Content

Enter the transaction ID into the query string of the web service URL, in the format:\
`services/2/recurring/subscriptions/charges/resolve?transactionid={transaction ID}`\
For example:\
`services/2/recurring/subscriptions/charges/resolve?transactionid=1011791571`

### Response Details

If successful, the response HTTP status code is 200 OK.\
The response contains the retrieved **[charge](https://developers.bluesnap.com/reference/charge)** object.

## Examples

### Request Examples

```curl Retrieve Specific Charge Request
curl -v -X GET https://sandbox.bluesnap.com/services/2/recurring/subscriptions/charges/resolve?transactionid=1012460801 \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \ 
-H 'Authorization: Basic dXNlcm5hbWU6cGFzc3dvcmQ=' \
-d '
```

### Response Examples

```json Retrieve Specific Charge Response: 200 OK
{
    "amount": 100,
    "vaultedShopperId": 21188039,
    "chargeInfo": {
        "fromDate": "2016-08-01",
        "toDate": "2016-08-15",
        "chargeType": "INITIAL"
    },
  "processingInfo": {
      "processingStatus": "SUCCESS",
      "cvvResponseCode": "MA",
      "authorizationCode": "OK1510",
      "avsResponseCodeZip": "U",
      "avsResponseCodeAddress": "U",
      "avsResponseCodeName": "U",
      "networkTransactionId": 16029749259621,
      "transactionRegion": "US"
   },
    "chargeId": 12116263,
    "paymentSource": {"creditCardInfo": {"creditCard": {
        "expirationYear": 2023,
        "cardLastFourDigits": 1111,
        "cardSubType": "CREDIT",
        "cardCategory": "CLASSIC",
        "cardType": "VISA",
        "expirationMonth": "07"
    }}},
    "softDescriptor": "BLS&#x2a;default_descriptor",
    "planId": 2283845,
    "currency": "USD",
    "transactionDate": "2016-08-01",
    "subscriptionId": 8491535,
    "transactionId": 1012460801
}
```